#include <lcd.c>

 void my_lcd_init(void)
 {

 #if defined(__PCB__)
   set_tris_lcd(LCD_OUTPUT_MAP);
 #else
  #if (defined(LCD_DATA4) && defined(LCD_DATA5) && defined(LCD_DATA6) && defined(LCD_DATA7))
   output_drive(LCD_DATA4);
   output_drive(LCD_DATA5);
   output_drive(LCD_DATA6);
   output_drive(LCD_DATA7);
  #else
   lcdtris.data = 0x0;
  #endif
   lcd_enable_tris();
   lcd_rs_tris();
   lcd_rw_tris();
 #endif

   lcd_output_rs(0);
   lcd_output_rw(0);
   lcd_output_enable(0);

//wait for a short period, maybe the voltage needs to stabilize first
   delay_ms(50);
   
//initialize 4 bit mode

   lcd_send_nibble(3); // envoie mot de 4 bits.
   delay_ms(2);
   lcd_send_nibble(3);  
   delay_ms(2);
   lcd_send_nibble(3);  
   delay_ms(2);  
   lcd_send_nibble(2); // MODE 4 BITS
   delay_ms(2);   
   
   lcd_send_byte(0,0x29);  // envoie mot de 8 bites.
   lcd_send_byte(0,0x14);  
   lcd_send_byte(0,0x55);  
   lcd_send_byte(0,0x6D);     
   lcd_send_byte(0,0x78);  
   lcd_send_byte(0,0x28);  
   lcd_send_byte(0,0x0C);  
   lcd_send_byte(0,0x01);  
   lcd_send_byte(0,0x06);  

  #if defined(LCD_EXTENDED_NEWLINE)
   g_LcdX = 0;
   g_LcdY = 0;
  #endif
 }

